public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-arch/alien/, app-arch/alien/files/
@ 2018-05-23 12:40 Patrice Clement
  0 siblings, 0 replies; only message in thread
From: Patrice Clement @ 2018-05-23 12:40 UTC (permalink / raw
  To: gentoo-commits

commit:     1a7acfd7f96271609e2c6df77097da4d2f796401
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed May 23 12:38:55 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed May 23 12:40:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a7acfd7

app-arch/alien: add support for more tar extensions.

Courtesy of Austin English <wizardedit <AT> gentoo.org>.

I've also slipped in a EAPI 6 update whilst at it.

Closes: https://bugs.gentoo.org/629524
Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-arch/alien/alien-8.95-r1.ebuild                | 34 ++++++++++++++++++++++
 .../alien/files/alien-8.95-tar-extensions.patch    | 25 ++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-arch/alien/alien-8.95-r1.ebuild b/app-arch/alien/alien-8.95-r1.ebuild
new file mode 100644
index 00000000000..c088b5dc181
--- /dev/null
+++ b/app-arch/alien/alien-8.95-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit perl-module
+
+DESCRIPTION="Converts between the rpm, dpkg, stampede slp, and slackware tgz file formats"
+HOMEPAGE="http://kitenet.net/programs/alien"
+SRC_URI="mirror://debian/pool/main/a/${PN}/${PN}_${PV}.tar.xz -> ${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+bzip2"
+
+RDEPEND="
+	app-arch/rpm
+	app-arch/dpkg
+	dev-util/debhelper
+	>=app-arch/tar-1.14.91
+	bzip2? (
+		app-arch/bzip2
+	)"
+
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-tar-extensions.patch" )
+
+src_prepare() {
+	default
+	sed -e s%'$(VARPREFIX)'%${D}% -e s%'$(PREFIX)'%${D}/usr%g \
+		-i "${S}"/Makefile.PL || die "sed failed"
+}

diff --git a/app-arch/alien/files/alien-8.95-tar-extensions.patch b/app-arch/alien/files/alien-8.95-tar-extensions.patch
new file mode 100644
index 00000000000..4709fcc1c4f
--- /dev/null
+++ b/app-arch/alien/files/alien-8.95-tar-extensions.patch
@@ -0,0 +1,25 @@
+From 01aabf053ea28308df87272cca79e645a9268fd7 Mon Sep 17 00:00:00 2001
+From: Austin English <austinenglish@gmail.com>
+Date: Fri, 1 Sep 2017 02:20:37 -0500
+Subject: [PATCH] add more tar extensions
+
+Signed-off-by: Austin English <austinenglish@gmail.com>
+---
+ Alien/Package/Tgz.pm | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Alien/Package/Tgz.pm b/Alien/Package/Tgz.pm
+index 7ab6e8b..65a3d2d 100644
+--- a/Alien/Package/Tgz.pm
++++ b/Alien/Package/Tgz.pm
+@@ -11,7 +11,7 @@ use strict;
+ use base qw(Alien::Package);
+ use Cwd qw(abs_path);
+ 
+-my $tarext=qr/\.(?:tgz|tar(?:\.(?:gz|Z|z|bz|bz2))?|taz)$/;
++my $tarext=qr/\.(?:taz|tar(?:\.(?:bz|bz2|gz|Z|z|))?|tb2|tbz|tbz2|tZ|xpak)$/;
+ 
+ =head1 DESCRIPTION
+ 
+-- 
+2.14.0


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-05-23 12:40 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-05-23 12:40 [gentoo-commits] repo/gentoo:master commit in: app-arch/alien/, app-arch/alien/files/ Patrice Clement

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox